Subject: Re: [mobile-ip] Optimizing Movement Detection on the AR

From: James Kempf <[email-masked]>
Date: Mon, 24 Sep 2001 09:22:55 -0700 (PDT)

Hi Thomas,

>> Would it be possible to add some text to Section 6.5 that allows
>> the AR to unicast a Router Advert to the MN if the AR detects that the MN
>> has arrived on its link?
>
>Does the current text disallow this? I.e, are you asking for text that
>encourages implementations to  do this, or just making sure that it
>isn't disallowed?
>

The current text doesn't say anything about allowing the router to using 
additional information for optimzations. The concern expressed was that
because it is explicitly not in the spec, it would be viewed
as not acceptable. This contrasts with Section 10, where mobile node
movement detection is discussed, in which the spec says:

	A mobile node MAY use any combination of mechanisms available
	to it to detect when it has moved from one link to another.
	
and later:

	Mobile nodes SHOULD use Router Discovery to discover new routers
	and on-link subnet prefixes; a mobile node MAY send Router
	Solicitation messages, or MAY wait for unsolicited (periodic)
	multicast Router Advertisement messages, as specified for
	Router Discovery [17]. 

Section 10 only encourages access routers to decrease the period
of Router Advertisment transmission, but says nothing about explicitly
tying the transmission of a Router Advertisement to the apperance
of a mobile node.

>Also, rather than asking someone else to provide text, how about
>providing it yourself. :-) That tends to lead to the desired result
>more quickly, and allows folks to better understand just what it is
>you want to add to the spec.
>

OK, how about this;

	An access router MAY use any combination of mechanisms to
	detect when a mobile node has established a link with the
	subnet serviced by the router and to inform the mobile node
	via a Router Advertisement of the mobile node's new
	point of attachment. An access router MAY unicast
	a Router Advertisement to a mobile node if it discovers
	that one has established a link, or it MAY multicast a
	Router Advertisement in response to link establishment
	rather than periodically. The intent is to speed up informing
	the mobile node of its new attachment point, to reduce the
	overall delay in establishing a new care of address.
	
One issue here is what IP address to use as the destination address for unicast. 
I suppose it could be the old care of address, but the standard MIPv6 algorithm 
provides no way for the access router to discover that, and outlining such a way 
definitely shouldn't be included in the spec, since the standard algorithm is 
intended to be simple and general. If the access router knows the mobile
node's link address, it can always deliver the packet if there is a link
level connection, but the mobile node's IP stack might not accept
it unless it has the right destination address. Perhaps it should just be left 
open, or perhaps the phrase about unicast should be taken out and the paragraph 
restricted to multicast?

		jak

---

From: Alper Yegin <[email-masked]>
Date: Tue, 25 Sep 2001 17:30:28 -0700 (PDT)

> open, or perhaps the phrase about unicast should be taken out and the 
paragraph 

I think draft should recommend "unicast" stronger than "multicast" for this RAs. 
Sending a multicast RA for each time a device attaches to a link is very costly 
for the network. It might even be worth not optimizing RS/RA in this way, and 
let MN send a RS.

So, IMHO, access routers "SHOULD unicast", if this is not possible "MAY 
multicast" router advertisements.

When unicasted, I think the destination IP address of the RA can be unspecified. 
This seems to be a valid source address for RS, therefore a valid destination 
address for (at least solicited) RAs.

Reading Jim's text above, maybe what he has in mind is to unicast RA at L2 with 
a multicast L3 destination? But I think unspecified destination address is 
cleaner.

alper

---

From: James Kempf <[email-masked]>
Date: Wed, 26 Sep 2001 08:56:49 -0700 (PDT)

Alper,

>a multicast L3 destination? But I think unspecified destination address is 

I agree that a unicast is better. The spec should just mention unicast.

		jak